package com.adc.da.Timer;

import com.adc.da.system.dao.CheckCertificateInfoDetailDao;
import com.adc.da.system.dao.CheckCertificateMainInfoDao;
import com.adc.da.system.entity.CheckCertificateMainInfo;
import com.adc.da.system.service.ICheckCertificateMainInfoService;
import com.adc.da.system.service.impl.CheckCertificateMainInfoServiceImpl;
import lombok.SneakyThrows;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.List;

@Component
public class DynamicClcpZk {

    @Autowired
    @Lazy(value = true)
    private ICheckCertificateMainInfoService iCheckCertificateMainInfoService;




    @SneakyThrows
    @Scheduled(cron = "0 0 2 * * ?")
//    @Scheduled(cron = "0/5 * * * * ?") /5秒执行一次
//    @Scheduled(cron = "0 0/5 * * * ?") /5分钟执行一次
    public void DynamicCertificateMainInfo() {
        iCheckCertificateMainInfoService.insertCertificateMainInfo();
    }

}
